mvn clean install
./mvnw -DskipTests -P app-run-cli-mvn  spring-boot:run

https://codelabs.developers.google.com/codelabs/cloud-app-engine-springboot#4

mkdir -p src/main/appengine/

touch src/main/appengine/app.yaml

Edit the src/main/appengine/app.yaml file and add the following content:

runtime: java11
instance_class: F1


mvn clean install -P app-run-cli-mvn 
mvn package appengine:run -P app-run-cli-mvn 
mvn gcloud:deploy -P app-run-cli-mvn -Dapp.deploy.projectId=summitapp-assetmaster -Dapp.deploy.version=1
gcloud app logs tail -s default
gcloud app browse
gcloud services enable cloudprofiler.googleapis.com

# Scratch pad Below

./mvnw -DskipTests clean package -P app-run-cli-mvn 

./mvnw -DskipTests appengine:deploy -P app-run-cli-mvn -Dapp.deploy.projectId=streamingdatasummitapp -Dapp.deploy.version=1

ln -s ~/kishore/software/tools/cloud/gcp/gcp_sdk/google-cloud-sdk /usr/local/share/google/google-cloud-sdk

# Run and test the app with the Cloud SDK development server
During the development phase, we can run and test this AppMaster GCP AppServices App any time in the development server by invoking the Cloud SDK App Engine Maven plugin.
./mvnw -DskipTests clean install -P app-run-cli-mvn 
./mvnw -DskipTests gcloud:run -P app-run-cli-mvn 




gcloud app describe
gcloud app services describe default
cloud app versions list
gcloud app deploy


